=== debian/changelog ===
packetfence (10.0.0+20200416135032+136717529+0009+v10.0.0+stretch1) stretch; urgency=medium

  * build for v10.0.0

 -- Inverse inc. <support@inverse.ca>  Thu, 16 Apr 2020 14:14:25 +0000

packetfence (10.0.0) unstable; urgency=low

  * Version 10.0.0

 -- Inverse <info@inverse.ca>  Thu, 16 Apr 2020 11:17:00 +0100

packetfence (9.3.0) unstable; urgency=low

  * Version 9.3.0

 -- Inverse <info@inverse.ca>  Fri, 13 Jan 2020 07:34:00 +0100
