=== debian/changelog ===
packetfence (10.1.0+20200617132524+157294356+0009+v10.1.0+stretch1) stretch; urgency=medium

  * build for v10.1.0

 -- Inverse inc. <support@inverse.ca>  Wed, 17 Jun 2020 16:32:11 +0000

packetfence (10.1.0) unstable; urgency=low

  * Version 10.1.0

 -- Inverse <info@inverse.ca>  Wed, 17 Jun 2020 11:17:00 +0100

packetfence (10.0.0-1) unstable; urgency=low

  * Version 10.0.0

 -- Inverse <info@inverse.ca>  Thu, 16 Apr 2020 11:17:00 +0100
