=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  packetfence-pfcmd-suid (>= ${source:Version}), packetfence-config (>= ${source:Version}),
 # CAUTION: we need to require the version we want for Fingerbank and ensure we don't want anything equal or above the next major release as it can add breaking changes
  fingerbank (>= 4.2.0), fingerbank (<< 5.0.0),
- fingerbank-collector (>= 1.3.1), fingerbank-collector (<< 2.0.0),
+ fingerbank-collector (>= 1.3.4), fingerbank-collector (<< 2.0.0),
  packetfence-redis-cache (>= ${source:Version}),
  packetfence-pfappserver-javascript (>= ${source:Version}),
  packetfence-captive-portal-javascript (>= ${source:Version}),
@@ -37,7 +37,7 @@
  libapache2-request-perl, libtie-dxhash-perl, libapache-session-perl,
  libapache-ssllookup-perl, libapache2-mod-systemd,
 # freeradius
- freeradius (>= 3.0.18), freeradius-ldap,
+ freeradius (>= 3.0.21), freeradius-ldap,
  freeradius-mysql, freeradius-utils, freeradius-rest, freeradius-redis,
 # systemd sd_notify support
  libsystemd-daemon-perl,
@@ -61,6 +61,7 @@
  libdbd-mysql-perl, libfile-tail-perl, libnetwork-ipv4addr-perl,
  libiptables-parse-perl, libiptables-chainmgr-perl, iptables (>= 1.4.0), iptables-netflow-dkms,
  liblwp-useragent-determined-perl, 
+ liblwp-protocol-connect-perl,
  libnet-netmask-perl, libnet-pcap-perl, libnet-snmp-perl, libsnmp-perl, libfile-fcntllock-perl,
  libnet-telnet-cisco-perl, libparse-recdescent-perl, libnet-cisco-mse-rest-perl, perlmagick,
  libregexp-common-email-address-perl, libregexp-common-time-perl,
@@ -147,6 +148,8 @@
  lsb-release,
 # wmi and nthash cache
  libscalar-list-utils-perl (>= 1.41-1),libfile-fcntllock-perl,libjson-xs-perl,libmoo-perl,libnet-dns-perl,python-twisted-bin,python-twisted-core,libconfig-inifiles-perl,
+# fuse
+ fuse,
 # Distribution specific
  ${packetfence:dist}
 Description: PacketFence network registration / worm mitigation system
